import torch as th
from dgl.nn.pytorch import GraphormerLayer

batch_size = 16
num_nodes = 100
feat_size = 512
num_heads = 8
nfeat = th.rand(batch_size, num_nodes, feat_size)
bias = th.rand(batch_size, num_nodes, num_nodes, num_heads)
net = GraphormerLayer(feat_size=feat_size,
        hidden_size=2048,
        num_heads=num_heads)
out = net(nfeat, bias)
print(out)
print(out.shape)